{{ define "header" }} {{ partial "header.html" . }} {{ end }} {{ define "main"
}}
<main class="site-main section-inner thin animated fadeIn faster">
  <div>
    <div
      id="breadcrumbs"
      class="entry-meta"
      style="font-style: normal; font-size: 16px"
    >
      <a href="/">Home</a>

      {{ $url := "" }} {{ range (split .RelPermalink "/") }} {{ if gt (len . ) 0
      }} {{ $url = "/" | add . | add $url }} /
      <a href="/{{ $url }}">{{ humanize (replace . "posts" "blog") }}</a>
      {{ end }} {{ end }}
    </div>

    {{ if .Params.titleIcon }}
    <h1>
      {{ .Title }}
      <span style="margin-left: 0.35em; display: flex">
        {{ partial "svg.html" .Params.titleIcon }}
      </span>
    </h1>
    {{ else }}
    <h1>
      {{ .Title }}
      <span style="margin-left: 0.35em; display: flex">
        {{ partial "svg.html" "archive" }}
      </span>
    </h1>
    {{ end }}
  </div>

  {{- if .Content }}
  <div class="content">{{ .Content }}</div>
  {{- end }} {{- if not (or .Content (in (split .RelPermalink "/")
  "categories")) }}

  <div class="posts-group" style="clear: both">
    <div class="post-year">Pinned</div>
    <div class="floats">
      {{ with .Site.GetPage "/posts/dev/blogging_duck" }} {{ partial
      "pinnedFloat.html" . }} {{ end }} {{ with .Site.GetPage
      "/posts/dev/antnotes" }} {{ partial "pinnedFloat.html" . }} {{ end }} {{
      with .Site.GetPage "/posts/publish/stair-hackathon" }} {{ partial
      "pinnedFloat.html" . }} {{ end }} {{ with .Site.GetPage
      "/posts/dev/juliclock" }} {{ partial "pinnedFloat.html" . }} {{ end }}
    </div>
  </div>
  <div class="floats">
    {{ range .Sections}} {{ with .Site.GetPage .RelPermalink }} {{ partial
    "minifloat.html" . }} {{ end }} {{ end }}
  </div>
  {{- end }}

  <br />

  <!-- All the floats, which show the posts -->
  {{- if .Content }} {{- $isSingleColumn := eq .Params.singleColumn true -}}

  <!-- Currently on a Sub-Page, so only show those which are directly in here -->
  {{- if not .Params.disableList }} {{- range .Pages.GroupByDate "2006" }}
  <div class="posts-group" style="clear: both">
    <div class="post-year" id="{{ .Key }}">{{ .Key }}</div>
    <div class="floats {{ if $isSingleColumn }}singleColumn{{ end }}">
      {{- range .Pages }} {{ if .File }} {{ if (and (not (or .Params.archived
      (or (eq .Params.banner "archived") (eq .Params.banner "error")))) (ne
      .File.Dir "/")) }} {{ partial "float.html" . }} {{ end }} {{ end }} {{-
      end }}
    </div>
  </div>
  {{- end }} {{- end }} {{- else}} {{ if and (not (in (split .RelPermalink "/")
  "tags")) (not (in (split .RelPermalink "/") "categories")) }}

  <!-- Currently on root page, so show all -->
  {{- range .RegularPagesRecursive.GroupByDate "2006" }}
  <div class="posts-group" style="clear: both">
    <div class="post-year" id="{{ .Key }}">{{ .Key }}</div>
    <div class="floats">
      {{- range .Pages }} {{ if .File }} {{ if (and (not (or .Params.archived
      (or (eq .Params.banner "archived") (eq .Params.banner "error")))) (ne
      .File.Dir "/")) }} {{ partial "float.html" . }} {{ end }} {{ end }} {{-
      end }}
    </div>
  </div>
  {{- end }} {{ else }} {{- range .Pages.GroupByDate "2006" }}
  <div class="posts-group" style="clear: both">
    <div class="post-year" id="{{ .Key }}">{{ .Key }}</div>
    <div class="floats">
      {{- range .Pages }} {{ if .File }} {{ if (and (not (or .Params.archived
      (or (eq .Params.banner "archived") (eq .Params.banner "error")))) (ne
      .File.Dir "/")) }} {{ partial "float.html" . }} {{ end }} {{ end }} {{-
      end }}
    </div>
  </div>
  {{- end }} {{ end }} {{- end }}
</main>
{{ end }}
